AWS
action Fault Injection Simulator

# stop_experiments_by_tags

Stops the experiments matching the given tags

Run it now
View details

Type | action
Module | chaosaws.fis.actions
Name | stop_experiments_by_tags
Return | list

Usage

JSON

    {
      "name": "stop-experiments-by-tags",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.fis.actions",
        "func": "stop_experiments_by_tags",
        "arguments": {
          "tags": {}
        }
      }
    }

YAML

    name: stop-experiments-by-tags
    provider:
      arguments:
        tags: {}
      func: stop_experiments_by_tags
      module: chaosaws.fis.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
tags | string |  | Yes | Tags | Comma separated list of tags used to identify experiments to stop

Signature

    def stop_experiments_by_tags(
            tags: Dict[str, str],
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Union[str, Dict[str, str]] = None) -> List[Dict[str, Any]]:
        pass

## Related starters

- AWS
  action Fault Injection Simulator

  ## `start_experiment`

  Starts running an experiment from the specified experiment template
- AWS
  action Fault Injection Simulator

  ## `start_stress_pod_delete_scenario`

  Run the 'EKS Stress - Pod Delete' scenario
- AWS
  action Fault Injection Simulator

  ## `start_stress_pod_delete_scenario`

  Run the 'EKS Stress - Pod Delete' scenario